apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod # Necessary to generate a certificate with a trusted Root CA
    kubernetes.io/ingress.class: nginx # Necessary to automatically configure the entry point of the cluster
    nginx.ingress.kubernetes.io/proxy-body-size: 10m
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/cors-allow-methods: "PUT, GET, POST, OPTIONS"
    nginx.ingress.kubernetes.io/cors-allow-headers: "*"
    nginx.ingress.kubernetes.io/cors-allow-origin: "*"
    nginx.ingress.kubernetes.io/cors-expose-headers: "*"
  name: notarization-service
spec:
  rules:
    - host: notarization-service # At least one rule is required, with a host Header.
      http:
        paths:
          - backend:
              service:
                name: notarization-service # The target service name
                port:
                  number: 80 # And the target port as declared inside the service
            path: / # No path routing here, just use the Host Header. You can combine multiple Hosts / pathPrefixes
            pathType: Prefix
          - backend:
                service:
                  name: notarization-service-api # The target service name
                  port:
                    number: 80 # And the target port as declared inside the service
            path: /api # No path routing here, just use the Host Header. You can combine multiple Hosts / pathPrefixes
            pathType: Prefix
  tls: # Here is the sensitive part for TLS certificate generation
    - hosts:
        # We indicate the Subject CN for the generated certificate. Must match the host referenced in the rules above.
        # Wildcar are possible
        - notarization-service
      # The secret name where the generated Certificate + private key will be put.
      # THIS SECRET NAME MUST BE UNIQUE PER NAMESPACE!!!!!
      secretName: ingress-notarization-service-tls
